package FI2.Examples;
/**{p}
 * -- FI2.Examples --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Esercizi di verifica
 */

/**{f}
 * Figura.java
 * Esercizio 2.3 -
 * Figura geometrica
 *
 * @version 1.00 99/09/26
 * @author M.Moro DEI UPD
 */

/**{c}{a}
 * Memorizza il centro di una figura geometrica
 * e la sua traslazione
 * @see SuFigura
 */
public abstract class Figura implements SuFigura
{
    // la rappresentazione interna
    protected PointE centro;

    // costruttori

    /**[c]
     * costruttore di default
     */
    public Figura()
    { centro = new PointE(); }

    /**[c]
     * costruttore base
     * @param c  centro - non viene clonato
     */
    public Figura(PointE c)
    { centro = c; }

    /**[c]
     * costruttore base
     * @param x  ascissa del centro
     * @param y  ordinata del centro
     */
    public Figura(double x, double y)
    { centro = new PointE(x, y); }

    // metodi esportati

    /**[m]
     * traslazione
     * @see SuFigura
     */
    public void move(PointE trasl)
    { 
        centro = new 
          PointE(centro.xVal()+trasl.xVal(), 
          centro.yVal()+trasl.yVal());
    } //[m] move


} //{c}{a} Figura

