package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * PositionIterator.java
 * interfaccia per un iteratore di posizioni
 *
 * @version 1.00 00/09/20
 * @author M.Moro DEI UPD
 */

import java.util.NoSuchElementException;

/**{i}
 * iteratore su contenitore con posizioni 
 * @see ObjectIterator
 */
public interface PositionIterator extends ObjectIterator
{
    /**[m][a]
     * prossima posizione da visitare che viene
     * 'consumata'
     * @return posizionatore dell'elemento visitato
     * @exception NoSuchElementException  
     * ultimo elemento gia` visitato
     */
    Position nextPosition() throws NoSuchElementException;

} //{i} PositionIterator
