package FI2.Tree;
/**{p}
 * -- FI2.Tree --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Alberi
 */

/**{f}
 * DiskSpace.java
 * programma 'pilota' per metodi della classe
 * TreeBasicAlgo
 *
 * @version 1.00 00/09/22
 * @author M.Moro DEI UPD
 */

import FI2.Set.Position;
import FI2.Set.PositionIterator;
import FI2.Util.FI2Sys;

/**{c}
 * assume di trattare un albero con nodi di un directory
 * di un file system su cui possono agire
 * i metodi ausiliari size e name
 * @see TreeBasicAlgo
 */
public abstract class DiskSpace 
{

    static String name(Position v) { return ""; }  
      // nome del file
    static int size(Position v) { return 0; }
      // dimensione 
    /**[m][s]
     * calcola ricorsivamente lo spazio occupato
     */
    public static int diskSpace(InspectableTree T, Position v)
    {
        int s = size(v);  // dimensione del file corrente
        PositionIterator children = T.children(v);
        while (children.hasNext())
            s += diskSpace(T, children.nextPosition());
        if (T.isInternal(v))
            // dimensione sottodirectory
            FI2Sys.out.println(name(v) + ": " + s);
        return s;
    } //[m][s]

} //{c} DiskSpace
