package FI2.Util;
/**{p}
 * -- FI2.Util --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Utilita`
 */

/**{f}
 * ComparableInt.java
 * oggetto ordinabile con valore intero
 *
 * @version 2.00 98/09/23
 * @author M.Moro DEI UPD
 */

/**{c}
 * classe wrapper con valore intero -
 * definisce i metodi di Comparable
 * @see Comparable
 */
public class ComparableInt implements Comparable
{
    int val;  // valore rappresentato

    /**[c]
     * costruttore base con valore
     * @param val  valore da rappresentare
     */
    public ComparableInt(int val)
    {
        this.val = val;
    } //[c] ComparableInt

    /**[m]
     * metodo di lettura
     * @return il valore rappresentato
     */
    public int value()
    {
        return val;
    } //[m] value

    /**[m]
     * @see SimpleComparable
     */
    public boolean equals(Object snd)
    {
        // il valore coincide con la chiave
        return val ==
          ((ComparableInt)snd).val;
    } //[m] equals

    /**[m]
     * @see Comparable
     */
    public boolean greater(Object snd)
    {
        // il valore coincide con la chiave
        return val >
          ((ComparableInt)snd).val;
    } //[m] greater

    /**[m]
     * conversione a stringa: produce la stringa con il
     * valore decimale
     * @return il valore convertito
     */
    public String toString()
    {
        return String.valueOf(val);
    } //[m] toString

} //{c} ComparableInt
