package FI2.Util;
/**{p}
 * -- FI2.Util --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Utilita`
 */

/**{f}
 * GenerateNVal.java
 * Genera un vettore di interi su stdout
 *
 * @version 2.00 98/09/23
 * @author M.Moro DEI UPD
 */

import java.io.*;

public class GenerateNVal {

    /**[m][s]
     * metodo di generazione -
     * produce, un dato per riga, il numero di elementi
     * richiesti N e, in ordine diretto, inverso o casuale,
     * i naturali da 0 a N-1 
     * @param args[0]  opzionale: estensione del vettore
     * @param args[1]  opzionale: 0  genera in ordine; 
     *                            1  genera in ordine inverso;
     *                            altro o assente
     *                                genera in ordine casuale  
     */
    public static void main(String[] args)
    {
        int[] vec1, vec2;
        int j;

        if (args.length == 0)
        {
            vec1 = new int[100];
            vec2 = new int[100];
        }
        else
        {
            int len = Integer.parseInt(args[0]);
            vec1 = new int[len];
            vec2 = new int[len];
        }

        if (args.length >= 2 &&
          Integer.parseInt(args[1]) == 0)
            // lista ordinata
            for(int i=0; i<vec1.length; i++)
                vec2[i] = i;
        else if (args.length >= 2 &&
          Integer.parseInt(args[1]) == 1)
            // lista in ordine inverso
            for(int i=0; i<vec1.length; i++)
                vec2[i] = vec1.length-1-i;
        else {
            // lista casuale
            for(int i=0; i<vec1.length; i++)
                vec1[i] = i;
            for(int i=0; i<vec1.length; i++)
            {
                do
                    j = (int)(Math.random() * vec1.length);
                while (j >= vec1.length || vec1[j] == -1);
                vec2[i] = vec1[j];
                vec1[j] = -1;
            }
        }
        System.out.println(vec1.length);
        for(int i=0; i<vec1.length; i++)
            System.out.println(vec2[i]);
    } //[m][s] main

} //{c} GenerateNVal

