package FI2.Gui;
/**{p}
 * -- FI2.Gui --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Interfaccia grafica
 */

/**{f}
 * AppletThDFrame.java
 * attivazione di AppletThreadDiag come frame
 *
 * @version 1.00 98/12/08
 * @author M.Moro DEI UPD
 */

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

/**{c}
 * @see AppletThreadDiag
 */
public class AppletThDFrame extends Frame
{
    Applet app = new AppletThreadDiag();

    /**[c]
     * costruttore base, attiva l'applet collegato
     * fornendone il contesto grafico
     */
    public AppletThDFrame()
    {
        super("Applet Thread Diag");
        app.init();
        app.start();

        add("Center", app);

        /**{c}{l}
         * classe interna che implementa WindowListener
         * @see WindowListener
         */
        class ForClosing extends WindowAdapter
          // classe locale
        {

            public void windowClosing(WindowEvent e) {
                AppletThDFrame.this.dispose();
                  // nuova sintassi 1.1 per indicare
                  // l'oggetto della classe esterna associato
                  // all'oggetto della classe interna
                System.exit(0);
            }
        } //{c}{l} ForClosing

        addWindowListener(new ForClosing());
          // si poteva anche utilizzare una classe anonima
        setSize(200, 200);
        show();
    } //[c] AppletThDFrame

    /**[m][s]
     * metodo di attivazione
     * @param args[]  non usato
     */
    public static void main(String[] args) 
    {
        new AppletThDFrame();
    } //[m][s] main

} //{c} AppletThDFrame
