package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * Position.java
 * interfaccia per un posizionatore
 *
 * @version 1.00 98/09/18
 * @author M.Moro DEI UPD
 */

import FI2.Exceptions.InvalidPositionException;

/**{i}
 * indicatore di posizione (posizionatore)
 * all'interno di un contenitore
 */
public interface Position
{
    /**[m][a]
     * elemento 'indicato' dal posizionatore
     * @return elemento indicato
     * @exception InvalidPositionException  
     * posizionatore illegale
     */
    Object element() throws InvalidPositionException;

    /**[m][a]
     * contenitore su cui il posizionatore agisce
     * @return contenitore associato
     * @exception InvalidPositionException 
     * posizionatore illegale
     */
    Container container() throws InvalidPositionException;

} //{i} Position
