package FI2.Temi;
/**{p}
 * -- FI2.Temi --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Temi d'esame
 */

/**{f}
 * InspectableTable.java
 * 2^ prova intermedia 2000/2001 -
 * Tema a -
 * Tabella di dati per ricerca
 *
 * @version 1.00 01/01/08
 * @author M.Moro DEI UPD
 */

import FI2.Set.InspectableKeyBasedContainer;

/**{i}
 * come un dizionario con metodo a sola lettura
 * @see InspectableKeyBasedContainer
 */
public interface InspectableTable 
  extends InspectableKeyBasedContainer 
{
    public static Object NOT_FOUND = 
      new String ("Not found!");

    public Object find(Object key); 
      // cerca l'elemento di chiave key e, se trovato, 
      // ne restituisce l'oggetto-dati associato; l'oggetto NOT_FOUND altrimenti
    public Object firstKey(); 
      // restituisce la chiave dell'elemento che verrebbe estratto per primo, o
      // l'oggetto NOT_FOUND se la struttura dati e' vuota
} //{i} InspectableTable

