package FI2.Util;
/**{p}
 * -- FI2.Util --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Utilita`
 */

/**{f}
 * FI2Sys.java
 * sostituisce System per contare in output
 * il numero di righe e suddividere l'output in blocchi
 *
 * @version 3.00 99/09/28
 * @version 3.01 99/10/22 -
 * aggiunta del campo in
 * @author M.Moro DEI UPD
 */

import java.io.*;

/**{c}
 * sostituisce System per usare la classe FI2PS
 * e FI2RS
 * @see FI2PS
 * @see FI2RS
 */
public class FI2Sys {
    public static FI2RS in;
    public static FI2PS out;
    public static final int MAXLINES = 16;

    // blocco statico di inizializzazione
    static
    {
        in = new FI2RS(System.in);
        out = new FI2PS(System.out, MAXLINES);
    }

    /**[m][s]
     * metodo di collaudo
     * @param args[0]  non usato
     */
    public static void main(String[] args)
    {
        for (int i=0; i<20 ; i++)
            FI2Sys.out.println("Riga " + i + "\r\nRiga " + i + 
              "\r\nRiga " + i);
        FI2Sys.in.prompt("Battere return:");
        FI2Sys.in.readLine();
        while (true)
        {
            try
            {
                int iVal = FI2Sys.in.readInt("Battere valore intero:");
				FI2Sys.out.println("Letto " + iVal);
				break;
            }
            catch (NumberFormatException e)
            {
            }
        } // while
        while (true)
        {
            try
            {
                double dVal = FI2Sys.in.readDouble("Battere valore double:");
				FI2Sys.out.println("Letto " + dVal);
				break;
            }
            catch (NumberFormatException e)
            {
            }
        } // while
    } //[m] main

} //{c} FI2Sys
