package FI2.Util;
/**{p}
 * -- FI2.Util --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Utilita`
 */

/**{f}
 * ObjectEqual.java
 * comparatore di eguaglianza standard
 *
 * @version 1.00 98/09/14
 * @author M.Moro DEI UPD
 */

import FI2.Exceptions.InvalidElementException;

/**{c}
 * implementa Equality usando il metodo equals()
 * @see Equality
 */
public class ObjectEqual implements Equality
{
    /**[c]
     * costruttore di default nullo
     */
    public ObjectEqual(){}
    
    /**[m]
     * @see Equality
     */
    public boolean isEqualTo(Object x1, Object x2)
      throws InvalidElementException 
    {
        check(x1,x2);
        return x1.equals(x2);   
    } //[m] isEqualTo

    /**[m]
     * @see Equality
     */
    public boolean isComparable(Object x)
    {
        if (x==null)
            return false;
        return true;
    } //[m] isComparable

    // metodi di supporto

    /*[m]
     * verifica se entrambi gli oggetti sono nonnulli
     * e stringa
     * @param x1  primo oggetto
     * @param x2  secondo oggetto
     * @exception InvalidElementException
     * se uno o entrambi gli oggetti nulli
     */
    private void check(Object x1, Object x2) 
      throws InvalidElementException 
    {
        if ((x1==null) || (x2==null)) throw
           new InvalidElementException(
           "Comparatore applicato ad oggetto nullo");
    } //[m] check

} //{c} ObjectEqual
